Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Class KeyedValues3DItemKey<S extends Comparable<S>,R extends Comparable<R>,C extends Comparable<C>>

java.lang.Object
org.jfree.chart3d.data.KeyedValues3DItemKey<S,R,C>

All Implemented Interfaces:
  `Serializable`, `Comparable<KeyedValues3DItemKey<S,R,C>>`, `ItemKey`

public class KeyedValues3DItemKey<S extends Comparable<S>,R extends Comparable<R>,C extends Comparable<C>> extends Object implements ItemKey, Comparable<KeyedValues3DItemKey<S,R,C>>, Serializable
An object that references one data item in a `KeyedValues3D` data structure. Instances of this class are immutable (subject to the caller using series, row and column keys that are immutable).

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`KeyedValues3DItemKey(S seriesKey, R rowKey, C columnKey)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(KeyedValues3DItemKey<S,R,C> key)`
`boolean`
`equals(Object obj)`
Tests this key for equality with an arbitrary object.
`C`
`getColumnKey()`
Returns the column key.
`R`
`getRowKey()`
Returns the row key.
`S`
`getSeriesKey()`
Returns the series key.
`int`
`hashCode()`
`String`
`toJSONString()`
Returns a JSON formatted string representing the key.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### KeyedValues3DItemKey

public KeyedValues3DItemKey(S seriesKey, R rowKey, C columnKey)
Creates a new instance.

Parameters:
  `seriesKey` - the series key (`null` not permitted).
  `rowKey` - the row key (`null` not permitted).
  `columnKey` - the column key (`null` not permitted).

## Method Details

### getSeriesKey

public S getSeriesKey()
Returns the series key.

Returns:
  The series key (never `null`).

### getRowKey

public R getRowKey()
Returns the row key.

Returns:
  The row key (never `null`).

### getColumnKey

public C getColumnKey()
Returns the column key.

Returns:
  The column key (never `null`).

### compareTo

public int compareTo(KeyedValues3DItemKey<S,R,C> key)

Specified by:
  `compareTo` in interface `Comparable<S extends Comparable<S>>`

### equals

public boolean equals(Object obj)
Tests this key for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toJSONString

public String toJSONString()
Description copied from interface: `ItemKey`
Returns a JSON formatted string representing the key.

Specified by:
  `toJSONString` in interface `ItemKey`
Returns:
  A JSON formatted string.

### toString

public String toString()

Overrides:
  `toString` in class `Object`